dune_add_test(SOURCES cgsteptest.cc)
dune_add_test(SOURCES gssteptest.cc)
dune_add_test(SOURCES mmgtest.cc)
dune_add_test(SOURCES multigridtest.cc)
dune_add_test(SOURCES projectedgradienttest.cc)
dune_add_test(SOURCES obstacletnnmgtest.cc)
dune_add_test(SOURCES genericvectortoolstest.cc)
dune_add_test(SOURCES lowrankoperatortest.cc)
dune_add_test(SOURCES nulloperatortest.cc)
dune_add_test(SOURCES sumoperatortest.cc)

if(HAVE_IPOPT)
    dune_add_test(SOURCES quadraticipoptsolvertest.cc)
endif()
if(SuiteSparse_UMFPACK_FOUND)
  dune_add_test(SOURCES umfpacksolvertest.cc)
  add_dune_suitesparse_flags(umfpacksolvertest)
endif()
